#ifndef _MODULE_H
#define _MODULE_H

#include "../defines.h"
#include "../tools.h"

class Robot;

class IO_Module
{
public:
	IO_Module()
	{
		this->parent = NULL; 
		this->moduleId = 0;
	}

	IO_Module(uint32 moduleId)
	{
		this->parent = NULL;
		this->moduleId = moduleId;
	}

protected:
	Robot* parent;
	uint32 moduleId;

public:
	Robot* GetParent()
	{
		return parent;
	}

	void SetParent(Robot* newParent)
	{
		parent = newParent;
	}

	uint32 GetId()
	{
		return moduleId;
	}
};

#endif
